# This file is lincensed under the terms of GPLv2+.
Name:           perl-Fedora-Rebuild
Version:        0.8.0
Release:        1%{?dist}
Summary:        Rebuilds Fedora packages from scratch
License:        GPLv3+
Group:          Development/Libraries
URL:            http://ppisar.fedorapeople.org/Fedora-Rebuild/
Source0:        http://ppisar.fedorapeople.org/Fedora-Rebuild/Fedora-Rebuild-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# Tests:
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(Data::Compare)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Proc::SyncExec)
BuildRequires:  perl(RPM2)
BuildRequires:  perl(RPM::VersionCompare)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Term::ProgressBar)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(Thread::Semaphore)
BuildRequires:  perl(threads)
BuildRequires:  perl(threads::shared)
BuildRequires:  perl(version) >= 0.77
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       fedpkg
Requires:       git
Requires:       koji
Requires:       rpmdevtools

%description
Main goal is to rebuild perl modules packages for Fedora. The rebuild is
driven from bottom to top, i.e. from perl interpreter to modules depending
on intermediate modules. This way, it's possible to upgrade perl
interpreter to incompatible version and to rebuild all modules against the
new interpreter.

%prep
%setup -q -n Fedora-Rebuild-v%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc COPYING
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Jul 20 2011 Petr Pisar <ppisar@redhat.com> - 0.8.0-1
- 0.8.0 bump

* Mon Jul 18 2011 Petr Pisar <ppisar@redhat.com> - 0.7.0-1
- 0.7.0 bump

* Fri Jul 15 2011 Petr Pisar <ppisar@redhat.com> - 0.5.1-1
- 0.5.1 version

* Fri Jul 15 2011 Petr Pisar <ppisar@redhat.com> - 0.5.0-1
- 0.5.0 bump

* Fri Jun 24 2011 Petr Pisar <ppisar@redhat.com> - 0.4.1-1
- 0.4.1 bump

* Wed Jun 22 2011 Petr Pisar <ppisar@redhat.com> - 0.3.0-1
- 0.3.0 bump

* Fri Jun 17 2011 Petr Pisar <ppisar@redhat.com> - 0.2.1-1
- 0.2.1 bump

* Tue Jun 07 2011 Petr Pisar <ppisar@redhat.com> 0.0.1-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot and defattr code
